﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;
using Infragistics.Windows.DockManager;

namespace DockTest
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : XamRibbonWindow
	{
		public Window1()
		{
			InitializeComponent();
		}

		private void ButtonTool1_Click(object sender, RoutedEventArgs e)
		{
			string title = string.Format("Title {0}", this.tabGroup.Items.Count + 1);
			ViewModel vm = new ViewModel(title);

			View v = new View();


			ContentPane pane = new ContentPane();
			pane.Content = v;
			pane.DataContext = vm;
			
			
			this.tabGroup.Items.Add(pane);

			pane.Activate();
		}


		private void ButtonTool2_Click(object sender, RoutedEventArgs e)
		{
			string title = string.Format("Title {0}", this.tabGroup.Items.Count + 1);
			ViewModel vm = new ViewModel(title);

			View2 v = new View2();


			ContentPane pane = new ContentPane();
			pane.Content = v;
			pane.DataContext = vm;


			this.tabGroup.Items.Add(pane);

			pane.Activate();
		}
	}
}
